<html lang="en">
<head>
<title>Literals - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Language-basics.html#Language-basics" title="Language basics">
<link rel="prev" href="Key-and-reserved-words.html#Key-and-reserved-words" title="Key and reserved words">
<link rel="next" href="Arithmetic.html#Arithmetic" title="Arithmetic">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Literals"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Arithmetic.html#Arithmetic">Arithmetic</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Key-and-reserved-words.html#Key-and-reserved-words">Key and reserved words</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Language-basics.html#Language-basics">Language basics</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.1.3 Literals</h4>

<p>Literals in <code>sketch</code> include scalars, points, vectors, and
transforms.  Literals, along with defined object references,
are used in arithmetic expressions.  See <a href="Arithmetic.html#Arithmetic">Arithmetic</a>.

<ul class="menu">
<li><a accesskey="1" href="Scalar-literals.html#Scalar-literals">Scalar literals</a>:              Just the numbers. 
<li><a accesskey="2" href="Point-and-vector-literals.html#Point-and-vector-literals">Point and vector literals</a>:    3d quantities. 
<li><a accesskey="3" href="Transform-literals.html#Transform-literals">Transform literals</a>:           Matrix form. 
</ul>

   </body></html>

